Bug 1394893 - [abrt] dnf: repo.py:404:_progress_cb:SystemError: PyEval_EvalFrameEx returned a result with an error set: TAINTED
Summary: [abrt] dnf: repo.py:404:_progress_cb:SystemError: PyEval_EvalFrameEx returned...
Keywords:
Status: CLOSED DUPLICATE of bug 1387754
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: x86_64
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c48577f7ea47728ac15b82ef9ff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 16:23 UTC by Igor Gnatenko
Modified: 2016-11-28 14:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 14:28:54 UTC


Attachments (Terms of Use)
File: _var_log_dnf.log (408.29 KB, text/plain)
2016-11-14 16:23 UTC, Igor Gnatenko
no flags Details
File: backtrace (2.23 KB, text/plain)
2016-11-14 16:23 UTC, Igor Gnatenko
no flags Details
File: dnf-makecache.log (257.27 KB, text/plain)
2016-11-14 16:24 UTC, Igor Gnatenko
no flags Details
File: environ (282 bytes, text/plain)
2016-11-14 16:24 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2016-11-14 16:23:44 UTC
Description of problem:
--repofrompath=tmp,.

Version-Release number of selected component:
dnf-2.0.0-0.rc1.4.fc26

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/libexec/system-python /bin/dnf downgrade openssl* --repofrompath=tmp,.
executable:     /bin/dnf
kernel:         4.8.0-0.rc7.git4.1.fc26.x86_64
pkg_fingerprint: 812A 6B4B 64DA B85D
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
repo.py:404:_progress_cb:SystemError: PyEval_EvalFrameEx returned a result with an error set

TypeError: __str__ returned non-string (type NoneType)

During handling of the above exception, another exception occurred:

SystemError: PyEval_EvalFrameEx returned a result with an error set

During handling of the above exception, another exception occurred:

SystemError: PyEval_EvalFrameEx returned a result with an error set

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 170, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 111, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 946, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 788, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 252, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 109, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 842, in load
    self._handle_load(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 591, in _handle_load
    return self._handle_load_core(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 604, in _handle_load_core
    result = handle._perform()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 228, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1517, in perform
    _librepo.Handle.perform(self, result)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 404, in _progress_cb
    self.progress.progress(self, done)
SystemError: PyEval_EvalFrameEx returned a result with an error set

Local variables in innermost frame:
done: 0.0
self: <dnf.repo.MDPayload object at 0x7f76b2977fd0>
cbdata: None
total: 0.0

Comment 1 Igor Gnatenko 2016-11-14 16:23:54 UTC
Created attachment 1220475 [details]
File: _var_log_dnf.log

Comment 2 Igor Gnatenko 2016-11-14 16:23:56 UTC
Created attachment 1220476 [details]
File: backtrace

Comment 3 Igor Gnatenko 2016-11-14 16:24:03 UTC
Created attachment 1220477 [details]
File: dnf-makecache.log

Comment 4 Igor Gnatenko 2016-11-14 16:24:06 UTC
Created attachment 1220478 [details]
File: environ

Comment 5 Igor Gnatenko 2016-11-28 14:28:54 UTC

*** This bug has been marked as a duplicate of bug 1351086 ***

Comment 6 Igor Gnatenko 2016-11-28 14:48:16 UTC

*** This bug has been marked as a duplicate of bug 1387754 ***


Note You need to log in before you can comment on or make changes to this bug.